-- Video Capturer 子模块配置
-- 此文件被 capturer 模块通过 includes("video") 引入

-- Video Capturer 库
target("video_capturer")
add_rules("qt.static")
if is_plat("windows") then
    add_defines("UNICODE", "_UNICODE")
end

-- 源文件
add_files("*.cpp")
add_files("wgc/*.cpp")

-- 头文件
add_headerfiles("*.h")
add_headerfiles("wgc/*.h")

-- 包含目录
add_includedirs("../../", { public = true })
add_includedirs(".", { public = true })
add_includedirs("wgc", { public = true })
add_includedirs("../../basic", { public = true })


-- FFmpeg 配置
add_ffmpeg_config()

-- Windows 特定链接库
if is_plat("windows") then
    add_syslinks("d3d11", "dxgi", "user32", "gdi32")
    add_syslinks("ole32", "oleaut32", "windowsapp")
    add_syslinks("dwmapi", "shcore")
end
add_frameworks("QtCore", "QtGui", "QtWidgets", "QtNetwork")

target_end()
